org.eclipse.rdf4j.query

## Interface Query

- All Superinterfaces:
    Operation
  All Known Subinterfaces:
    BooleanQuery, GraphQuery, TupleQuery
  All Known Implementing Classes:
    AbstractHTTPQuery, AbstractParserQuery, AbstractParserQuery, AbstractQuery, HTTPBooleanQuery, HTTPGraphQuery, HTTPTupleQuery, SailBooleanQuery, SailConnectionBooleanQuery, SailConnectionGraphQuery, SailConnectionQuery, SailConnectionTupleQuery, SailGraphQuery, SailQuery, SailTupleQuery, SPARQLBooleanQuery, SPARQLGraphQuery, SPARQLTupleQuery

      public interface Query
      extends Operation

  A query on a repository that can be formulated in one of the supported query languages (for example SeRQL or SPARQL). It allows one to predefine bindings in the query to be able to reuse the same query with different bindings.
  Author:
    Arjohn Kampman, jeen

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMaxQueryTime()` Deprecated. since 2.0. Use `Operation.getMaxExecutionTime()` instead.
    `void` | `setMaxQueryTime(int maxQueryTime)` Deprecated. since 2.0. Use `Operation.setMaxExecutionTime(int)` instead.

    - ### Methods inherited from interface org.eclipse.rdf4j.query.Operation

      `clearBindings, getBindings, getDataset, getIncludeInferred, getMaxExecutionTime, removeBinding, setBinding, setDataset, setIncludeInferred, setMaxExecutionTime`

- - ### Method Detail

    - #### setMaxQueryTime

          @Deprecated
          void setMaxQueryTime(int maxQueryTime)

      Deprecated. since 2.0. Use `Operation.setMaxExecutionTime(int)` instead.
      Specifies the maximum time that a query is allowed to run. The query will be interrupted when it exceeds the time limit. Any consecutive requests to fetch query results will result in `QueryInterruptedException`s.
      Parameters:
        `maxQueryTime` - The maximum query time, measured in seconds. A negative or zero value indicates an unlimited query time (which is the default).

    - #### getMaxQueryTime

          @Deprecated
          int getMaxQueryTime()

      Deprecated. since 2.0. Use `Operation.getMaxExecutionTime()` instead.
      Returns the maximum query evaluation time.
      Returns:
        The maximum query evaluation time, measured in seconds.
      See Also:
        `setMaxQueryTime(int)`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.